com.google.gwt.logging.client

## Class SimpleRemoteLogHandler.DefaultCallback

- java.lang.Object
- - com.google.gwt.logging.client.SimpleRemoteLogHandler.DefaultCallback

- All Implemented Interfaces:
    AsyncCallback<java.lang.String>
  Enclosing class:
    SimpleRemoteLogHandler

      class SimpleRemoteLogHandler.DefaultCallback
      extends java.lang.Object
      implements AsyncCallback<java.lang.String>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultCallback()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onFailure(java.lang.Throwable caught)` Called when an asynchronous call fails to complete normally.
    `void` | `onSuccess(java.lang.String result)` Called when an asynchronous call completes successfully.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultCallback

          DefaultCallback()

  - ### Method Detail

    - #### onFailure

          public void onFailure(java.lang.Throwable caught)

      Description copied from interface: `AsyncCallback`
      Called when an asynchronous call fails to complete normally. `IncompatibleRemoteServiceException`s, `InvocationException`s, or checked exceptions thrown by the service method are examples of the type of failures that can be passed to this method.

      If `caught` is an instance of an `IncompatibleRemoteServiceException` the application should try to get into a state where a browser refresh can be safely done.

      Specified by:
        `onFailure` in interface `AsyncCallback<java.lang.String>`
      Parameters:
        `caught` - failure encountered while executing a remote procedure call

    - #### onSuccess

          public void onSuccess(java.lang.String result)

      Description copied from interface: `AsyncCallback`
      Called when an asynchronous call completes successfully.
      Specified by:
        `onSuccess` in interface `AsyncCallback<java.lang.String>`
      Parameters:
        `result` - the return value of the remote produced call